Upload media to collection
curl --request POST \
--url https://api.videodb.io/collection/{collection_id}/upload \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"url": "https://example.com/video.mp4",
"name": "My Video",
"media_type": "video",
"callback_url": "https://webhook.example.com/callback"
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/video.mp4',
name: 'My Video',
media_type: 'video',
callback_url: 'https://webhook.example.com/callback'
})
};
fetch('https://api.videodb.io/collection/{collection_id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/collection/{collection_id}/upload' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"url": "https://example.com/video.mp4",
"name": "My Video",
"media_type": "video",
"callback_url": "https://webhook.example.com/callback"
}'import Foundation
let parameters = [
"url": "https://example.com/video.mp4",
"name": "My Video",
"media_type": "video",
"callback_url": "https://webhook.example.com/callback"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/collection/{collection_id}/upload")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/collection/{collection_id}/upload");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"url\": \"https://example.com/video.mp4\",\n \"name\": \"My Video\",\n \"media_type\": \"video\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/collection/{collection_id}/upload");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"url\": \"https://example.com/video.mp4\",\n \"name\": \"My Video\",\n \"media_type\": \"video\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/video.mp4',
name: 'My Video',
media_type: 'video',
callback_url: 'https://webhook.example.com/callback'
})
};
fetch('https://api.videodb.io/collection/{collection_id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/collection/{collection_id}/upload");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"url\": \"https://example.com/video.mp4\",\n \"name\": \"My Video\",\n \"media_type\": \"video\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/collection/{collection_id}/upload");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"url\": \"https://example.com/video.mp4\",\n \"name\": \"My Video\",\n \"media_type\": \"video\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"url\": \"https://example.com/video.mp4\",\n \"name\": \"My Video\",\n \"media_type\": \"video\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}")
val request = Request.Builder()
.url("https://api.videodb.io/collection/{collection_id}/upload")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"status": "processing",
"data": {
"id": "job-123",
"output_url": "https://api.videodb.io/async-response/job-123"
}
}Upload to Collection
Upload videos, audio, or images to a collection
POST
/
collection
/
{collection_id}
/
upload
Upload media to collection
videos, audio files, or images to a collection from URLs or local files.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
# Upload from URL
video = coll.upload(url="https://example.com/video.mp4")
# Upload from local file
video = coll.upload(file_path="/path/to/video.mp4")
# Upload with callback for async processing
video = coll.upload(
url="https://example.com/video.mp4",
callback_url="https://your-server.com/webhook"
)
print(f"Video ID: {video.id}")
print(f"Stream URL: {video.stream_url}")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
// Upload from URL
const video = await coll.uploadURL({
url: 'https://example.com/video.mp4'
});
// Upload from local file
const video = await coll.uploadFile({
filePath: '/path/to/video.mp4'
});
// Upload with callback for async processing
const video = await coll.uploadURL({
url: 'https://example.com/video.mp4',
callbackUrl: 'https://your-server.com/webhook'
});
console.log(`Video ID: ${video.id}`);
console.log(`Stream URL: ${video.stream_url}`);
- Supports video, audio, and image files
- Use
media_typeparameter to specify type explicitly - Large files should use
callback_urlfor async processing
Upload Guide
Supported formats and upload methods
Production Patterns
Batch uploads, webhooks, and retry logic
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"default"
Body
application/json
⌘I